from flask import Flask
from flask_restx import Resource, Api, reqparse

app=Flask(__name__)
api=Api(app)

carpim_parser=reqparse.RequestParser()
carpim_parser.add_argument('a',
                           type=int,
                           required=True,
                           help='a sayisini yaz')

carpim_parser.add_argument('b',
                           type=int,
                           required=True,
                           help='b sayisini yaz')

carpim_parser.add_argument('secim',choices=('toplama',
                                           'cikarma',
                                           'carpma',
                                           'bolme'))

@api.route('/calculator')
class calculator(Resource):
    @api.expect(carpim_parser)
    def get(self):
        """Calculator API"""
        args=carpim_parser.parse_args()
        if args.secim=='toplama':
            return args.a+args.b
        elif args.secim=='cikarma':
            return args.a-args.b
        elif args.secim=='carpma':
            return args.a*args.b
        elif args.secim=='bolme' and args.b!=0:
            return args.a/args.b
        elif args.secim=='bolme' and args.b==0:
            return 'matematik bu islem olmaz'
        elif args.secim==None:
            return 'secim yap'

if __name__ == "__main__":
    app.run(host="0.0.0.0", port=int("8080"), debug=True)
